# enable_gtkdoc: Toggle if gtk-doc files should be rebuilt.
#      0 = no
#      1 = yes
%define enable_gtkdoc 1

# enable_tests: Run test suite in build
#      0 = no
#      1 = yes
%define enable_tests 0

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_without_tests: %{expand: %%define enable_tests 0}}

%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}
%{?_with_tests: %{expand: %%define enable_tests 1}}


%define pkgname			gdk-pixbuf
%define api_version		2.0
%define binary_version		2.10
%define lib_major		0
%define gir_major		2.0

%define libname		%mklibname gdk_pixbuf %{api_version} %{lib_major}
%define develname	%mklibname -d gdk_pixbuf %{api_version}
%define girname		%mklibname gdk_pixbuf-gir %{gir_major}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Image loading and manipulation library for GTK+
Name:		%{pkgname}%{api_version}
Version:	2.32.1
%define subrel	1
Release:        %mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
Patch0:		0000-pixops-use-gint64-in-more-places-to-avoid-overflow-w.patch
URL:		http://www.gtk.org
Requires:	common-licenses
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.37.6
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	libjpeg-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(x11)
BuildRequires:	gobject-introspection-devel >= 0.9.3
BuildRequires:	pkgconfig(jasper)
%if %enable_tests
BuildRequires:	x11-server-xvfb
%endif
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.9 
BuildRequires:	sgml-tools
BuildRequires:	texinfo
%endif
# gw tests will fail without this
BuildRequires:	fonts-ttf-dejavu
Requires:	%{libname} = %{version}
Conflicts:	gtk+2.0 < 2.21.3

%description
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{libname}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries
Provides:	libgdk_pixbuf%{api_version} = %{version}-%{release}
Requires(pre):  %{name} >= %{version}
Requires(post):	%{name} >= %{version}
Requires:	%{name} >= %{version}
Conflicts:	%{_lib}gdk_pixbuf2.0_0-loaders-png15 < 2.28.1-5
Obsoletes:	%{_lib}gdk_pixbuf2.0_0-loaders-png15 < 2.28.1-5
# Temporary Cauldron fix (to be removed after september 2013):
Conflicts:	%{_lib}gdk_pixbuf2.0_0-loaders-png16 < 2.28.1-5
Obsoletes:	%{_lib}gdk_pixbuf2.0_0-loaders-png16 < 2.28.1-5

%description -n %{libname}
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{develname}
Summary:	Development files for image handling library for GTK+
Group:		Development/GNOME and GTK+
Provides:	libgdk_pixbuf%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	pkgconfig(libpng16)
Obsoletes:	%mklibname -d gdk_pixbuf %{api_version} %{lib_major}

%description -n %{develname}
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation library.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:	gir-repository < 0.6.5-4
Obsoletes:	%{mklibname gdk_pixbuf2.0-gir 2.0} < 2.23.5-4

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -n %{pkgname}-%{version} -q
%apply_patches

%build
%ifarch ppc64
export CFLAGS="%{optflags} -mminimal-toc"
%endif

# fix crash in nautilus (GNOME bug #596977)
export CFLAGS=`echo %{optflags} | sed -e 's/-fomit-frame-pointer//g'`

%configure2_5x --with-x11 \
	--with-libjasper \
%if !%enable_gtkdoc
	--enable-gtk-doc=no
%endif

%make

%check
%if %enable_tests
xvfb-run make check
%endif

%install
%makeinstall_std RUN_QUERY_LOADER_TEST=false

touch %{buildroot}%{_libdir}/%{pkgname}-%{api_version}/%{binary_version}.0/loaders.cache

# handle biarch packages
progs="gdk-pixbuf-query-loaders"
mkdir -p %{buildroot}%{_libdir}/%{pkgname}-%{api_version}/bin
for f in $progs; do
  mv -f %{buildroot}%{_bindir}/$f %{buildroot}%{_libdir}/%{pkgname}-%{api_version}/bin/
  cat > %{buildroot}%{_bindir}/$f << EOF
#!/bin/sh
lib=%{_lib}
case ":\$1:" in
:lib*:) lib="\$1"; shift 1;;
esac
exec %{_prefix}/\$lib/%{pkgname}-%{api_version}/bin/$f \${1+"\$@"}
EOF
  chmod +x %{buildroot}%{_bindir}/$f
done

#remove not packaged files
find %buildroot -name '*.la' -delete

%find_lang %{pkgname}

%post -n %{libname}

if [ "$1" = "2" ]; then
  if [ -f %{_libdir}/%{pkgname}-%{api_version}/2.10.0/loaders.cache ]; then
    rm -f %{_libdir}/%{pkgname}-%{api_version}/2.10.0/loaders.cache
  fi
fi

%{_libdir}/%{pkgname}-%{api_version}/bin/gdk-pixbuf-query-loaders --update-cache

%files -f %{pkgname}.lang
%doc README
%{_bindir}/gdk-pixbuf-query-loaders
%{_bindir}/gdk-pixbuf-pixdata
%{_mandir}/man1/gdk-pixbuf-query-loaders.1*

%files -n %{libname}
%{_libdir}/libgdk_pixbuf-%{api_version}.so.%{lib_major}*
%{_libdir}/libgdk_pixbuf_xlib-%{api_version}.so.%{lib_major}*
%dir %{_libdir}/%{pkgname}-%{api_version}
%dir %{_libdir}/%{pkgname}-%{api_version}/bin
%dir %{_libdir}/%{pkgname}-%{api_version}/%{binary_version}.*
%dir %{_libdir}/%{pkgname}-%{api_version}/%{binary_version}.*/loaders
%{_libdir}/%{pkgname}-%{api_version}/%{binary_version}.*/loaders/*.so
%{_libdir}/%{pkgname}-%{api_version}/bin/gdk-pixbuf-query-loaders
%ghost %verify (not md5 mtime size) %{_libdir}/%pkgname-%{api_version}/%{binary_version}.*/loaders.cache

%files -n %{girname}
%{_libdir}/girepository-1.0/GdkPixbuf-%{gir_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/gdk-pixbuf
%{_bindir}/gdk-pixbuf-csource
%{_includedir}/%{pkgname}-%{api_version}
%{_libdir}/libgdk_pixbuf*.so
%{_libdir}/pkgconfig/gdk-pixbuf*.pc
%{_datadir}/gir-1.0/GdkPixbuf-%{gir_major}.gir
%{_mandir}/man1/gdk-pixbuf-csource.1*


%changelog
* Tue May 17 2016 luigiwalser <luigiwalser> 2.32.1-1.1.mga5
+ Revision: 1016529
- add upstream patch to fix CVE-2015-8875
- 2.32.1
- add upstream patch to fix another integer overflow issue in pixops
- add upstream patch to fix security issue (bgo#752297, mga#16367)

* Sun Apr 05 2015 tv <tv> 2.31.2-2.mga5
+ Revision: 819720
- patch 0: fix regression breaking taking screenshots with virt-manager (mga#15628)

* Wed Dec 24 2014 ovitters <ovitters> 2.31.2-1.mga5
+ Revision: 805420
- new version 2.31.2

* Wed Oct 15 2014 umeabot <umeabot> 2.31.1-4.mga5
+ Revision: 740245
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 2.31.1-3.mga5
+ Revision: 731138
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 2.31.1-2.mga5
+ Revision: 679460
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 ovitters <ovitters> 2.31.1-1.mga5
+ Revision: 670720
- new version 2.31.1

* Mon Jul 21 2014 ovitters <ovitters> 2.31.0-1.mga5
+ Revision: 655176
- new version 2.31.0

* Wed May 28 2014 ovitters <ovitters> 2.30.8-1.mga5
+ Revision: 627088
- new version 2.30.8

* Tue Mar 25 2014 ovitters <ovitters> 2.30.7-1.mga5
+ Revision: 608525
- new version 2.30.7

* Mon Mar 03 2014 ovitters <ovitters> 2.30.6-1.mga5
+ Revision: 598905
- new version 2.30.6

* Tue Feb 18 2014 ovitters <ovitters> 2.30.5-1.mga5
+ Revision: 594099
- new version 2.30.5

* Tue Feb 04 2014 ovitters <ovitters> 2.30.4-1.mga5
+ Revision: 582473
- new version 2.30.4

* Mon Nov 11 2013 ovitters <ovitters> 2.30.1-1.mga4
+ Revision: 550560
- new version 2.30.1

* Sat Oct 19 2013 umeabot <umeabot> 2.30.0-2.mga4
+ Revision: 536416
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 2.30.0-1.mga4
+ Revision: 484235
- new version 2.30.0

* Tue Jul 30 2013 ovitters <ovitters> 2.29.3-1.mga4
+ Revision: 460771
- new version 2.29.3

* Mon Jun 24 2013 ovitters <ovitters> 2.29.2-1.mga4
+ Revision: 446257
- new version 2.29.2

* Sat Jun 08 2013 ovitters <ovitters> 2.28.2-1.mga4
+ Revision: 440373
- new version 2.28.2

* Tue Jun 04 2013 fwang <fwang> 2.28.1-5.mga4
+ Revision: 436902
- merge libpng loader into mainlib package, as we only provide single flavour now

* Mon Jun 03 2013 tv <tv> 2.28.1-4.mga4
+ Revision: 436299
- fix upgrade

* Sun Jun 02 2013 fwang <fwang> 2.28.1-3.mga4
+ Revision: 434597
- fix pkgname
- rebuild for new libpng

* Thu May 23 2013 tv <tv> 2.28.1-1.mga4
+ Revision: 425506
- new release

* Fri Jan 11 2013 umeabot <umeabot> 2.26.5-2.mga3
+ Revision: 351144
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 2.26.5-1.mga3
+ Revision: 316986
- new version 2.26.5

* Tue Sep 18 2012 ovitters <ovitters> 2.26.4-1.mga3
+ Revision: 295701
- new version 2.26.4

* Mon Aug 20 2012 ovitters <ovitters> 2.26.3-1.mga3
+ Revision: 282691
- new version 2.26.3

* Mon Aug 06 2012 ovitters <ovitters> 2.26.2-1.mga3
+ Revision: 279406
- new version 2.26.2

* Thu Jun 07 2012 tv <tv> 2.26.1-2.mga3
+ Revision: 256702
- use %%posttrans instead of %%post (mga#5464)

* Sat Apr 14 2012 ovitters <ovitters> 2.26.1-1.mga2
+ Revision: 230801
- new version 2.26.1

* Tue Mar 20 2012 ovitters <ovitters> 2.26.0-1.mga2
+ Revision: 225078
- new version 2.26.0

* Sun Feb 05 2012 fwang <fwang> 2.25.2-1.mga2
+ Revision: 204552
- update file list
- new version 2.25.2

* Mon Jan 23 2012 dmorgan <dmorgan> 2.25.0-4.mga2
+ Revision: 200185
- Fix package ownage

* Thu Jan 05 2012 tmb <tmb> 2.25.0-3.mga2
+ Revision: 190810
- make sure gdk-pixbuf-query-loaders is available when loaders-png package is installed

* Thu Dec 22 2011 fwang <fwang> 2.25.0-2.mga2
+ Revision: 186104
- rebuild for new libtiff

* Sat Dec 17 2011 fwang <fwang> 2.25.0-1.mga2
+ Revision: 183091
- build x11 support
- fix tarball
- new version 2.25.0

* Sat Nov 12 2011 tmb <tmb> 2.24.0-7.mga2
+ Revision: 167002
- require gdk-pixbuf2.0 in pre as gdk-pixbuf-query-loaders is called during install

* Mon Sep 26 2011 fwang <fwang> 2.24.0-6.mga2
+ Revision: 147934
- requires png pkconfig for private requires

* Fri Sep 23 2011 fwang <fwang> 2.24.0-5.mga2
+ Revision: 146935
- add scriptlet requires

* Fri Sep 23 2011 fwang <fwang> 2.24.0-4.mga2
+ Revision: 146912
- split out png pixbuf loader, for upcoming lsb compatible png1.2 loader

* Sat Sep 10 2011 fwang <fwang> 2.24.0-3.mga2
+ Revision: 142125
- drop all .la files

* Sat Sep 10 2011 fwang <fwang> 2.24.0-2.mga2
+ Revision: 142085
- rebuild for new libpng
- drop old style invalid req
- new version 2.24.0

* Fri Jul 15 2011 cjw <cjw> 2.23.5-5.mga2
+ Revision: 124437
- fix gobject introspection dependencies:
  o drop library -> typelib package dependency
  o move conflicts on gir-repository from library to typelib package
  o use obsoletes instead of conflicts for typelib package name change

* Thu Jul 07 2011 wally <wally> 2.23.5-4.mga2
+ Revision: 119850
- fix gir package name

* Thu Jul 07 2011 cjw <cjw> 2.23.5-3.mga2
+ Revision: 119561
- rebuild for automatic typelib provides

* Tue Jul 05 2011 dmorgan <dmorgan> 2.23.5-2.mga2
+ Revision: 118870
- Make the lib package requires the gir one

* Sun Jul 03 2011 wally <wally> 2.23.5-1.mga2
+ Revision: 117753
- new version 2.23.5
- create a subpackage for gir .typelib
- clean .spec a bit

* Thu Jun 09 2011 dmorgan <dmorgan> 2.23.3-1.mga2
+ Revision: 102739
- New version 2.23.3

* Mon Jan 24 2011 erwan <erwan> 2.22.1-3.mga1
+ Revision: 37901
- Rebuild

* Wed Jan 12 2011 tmb <tmb> 2.22.1-2.mga1
+ Revision: 7679
- imported package gdk-pixbuf2.0

* Wed Jan 12 2011 dmorgan <dmorgan> 2.22.1-1.mga1
+ Revision: 7103
- imported package gdk-pixbuf2.0

